Subject: xwidget-webkit-execute-script does not protect script against GC

From: Andreas Schwab <[email-masked]>
Date: Mon, 21 May 2018 14:22:53 +0200

The script argument to xwidget-webkit-execute-script is not protected
against GC.  Since strings may be relocated by GC the pointer passed to
webkit_web_view_run_javascript may become invalid any time during the
asynchronous execution.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."